﻿@model  EnergyMission.Domain.Entities.OrganizationEntity
@{
    string actionName = (string)ViewData["ActionName"];
   EnergyMission.Web.Common.Common cs =new EnergyMission.Web.Common.Common();
}

@using (Html.BeginForm("Create", "organizations", FormMethod.Post))
{

    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    @Html.HiddenFor(model => model.ClientId)
    <div class="bottom ">
        <div class="left">


            <label class="name">Organisation</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model=>model.Name)

                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.Name, "")</span>
                </div>
                </div>
                @*<input type="text" name="name" value="" placeholder="Canberra University" />*@
                <div class="clearfix"></div>

                <label class="name">Street Address*</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.Address)
                @*<input type="text" name="name" value="" placeholder="121 Eddy Avenue, Belconnen" />*@
                <div class="error-msg">
                <span class="error"> @Html.ValidationMessageFor(tt => tt.Address, "")</span>
            </div>
                </div>
                <div class="clearfix"></div>
                <label class="name">City, State, Postcode*</label>


                <div class="clearfix"></div>
                @Html.TextBoxFor(model => model.City)
            <div class="drporganization">
                @Html.DropDownListFor(model => model.StateId, cs.States )
                @Html.DropDownListFor(model => model.PostCodeId, cs.Postcodes)
                </div>
                @*<input type="text" name="name" value="" placeholder="Canberra, ACT, 2601" />*@
                <div class="clearfix"></div>


                @*@Html.Partial("_SaveCancelForAddEdit")*@
                <input class="save button" name="button" id="btnsave" type="submit" value="Save Changes" />
                <input class="done button" name="button" type="button" onclick="cancelall();" id="btncancel" value="Cancel" />
            </div>
        <div class="right">

            <label class="name">Number of employees</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.NOE)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.NOE, "")</span>
                </div>
                </div>
                <div class="clearfix"></div>
                <label class="name">Client Admin*</label>
            <div style="position:relative;">


                @Html.TextBoxFor(model => model.SuperAdminEmail)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.SuperAdminEmail, "")</span>
                </div>
                </div>
                @*<input type="text" name="name" value="" placeholder="Canberra, ACT, 2601" />*@
                <div class="clearfix"></div>

                <label class="name">Geo-location – Latitude*</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.Geo_location_Latitude)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.Geo_location_Latitude, "")</span>
                </div>
                </div>
                @*<input type="text" name="name" value="" placeholder="1236234063415" />*@
                <div class="clearfix"></div>

                <label class="name">Geo-location – Longditude*</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.Geo_location_Longditude)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.Geo_location_Longditude, "")</span>
                </div>
                </div>
                @*<input type="text" name="name" value="" placeholder="9-32087-32874" />*@

            </div>
    </div>


 
}
